Package org.apache.sysds.runtime.compress.readers

## Class ReaderColumnSelection

- java.lang.Object
- - org.apache.sysds.runtime.compress.readers.ReaderColumnSelection

Direct Known Subclasses:
  `ReaderColumnSelectionDenseMultiBlock`, `ReaderColumnSelectionDenseMultiBlockTransposed`, `ReaderColumnSelectionDenseSingleBlock`, `ReaderColumnSelectionDenseSingleBlockTransposed`, `ReaderColumnSelectionSparse`, `ReaderColumnSelectionSparseTransposed`

    public abstract class ReaderColumnSelection
    extends Object

Base class for all column selection readers.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static ReaderColumnSelection` `createReader​(MatrixBlock rawBlock, IColIndex colIndices, boolean transposed)`
`static ReaderColumnSelection` `createReader​(MatrixBlock rawBlock, IColIndex colIndices, boolean transposed, int rl, int ru)`
`int` `getCurrentRowIndex()`
`DblArray` `nextRow()` Gets the next row, null when no more rows.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### nextRow

    public final DblArray nextRow()

Gets the next row, null when no more rows.

Returns:
  next row

#### getCurrentRowIndex

    public int getCurrentRowIndex()

#### createReader

    public static ReaderColumnSelection createReader​(MatrixBlock rawBlock,
                                                     IColIndex colIndices,
                                                     boolean transposed)

#### createReader

    public static ReaderColumnSelection createReader​(MatrixBlock rawBlock,
                                                     IColIndex colIndices,
                                                     boolean transposed,
                                                     int rl,
                                                     int ru)